raw2double <- function(rv, offset=0, length=-1, stride=0, x.expand=1, y.expand=1)
    .Call("raw_to_double", rv, offset, length, stride, x.expand, y.expand, PACKAGE="videoTools")

rawi2double <- function(rv, offset=0, length=-1, width=0, channels=4)
    .Call("rawi_to_double", rv, offset, length, width, channels, PACKAGE="videoTools")

# for compatibility with older versions
rawi42double <- function(rv, offset=0, length=-1, width=0)
    .Call("rawi_to_double", rv, offset, length, width, 4L, PACKAGE="videoTools")
rawi32double <- function(rv, offset=0, length=-1, width=0)
    .Call("rawi_to_double", rv, offset, length, width, 3L, PACKAGE="videoTools")

fourcc2int <- function(fcc)
    .Call("fourcc2int", fcc, PACKAGE="videoTools")

int2fourcc <- function(iv)
    .Call("int2fourcc", iv, PACKAGE="videoTools")
